unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, QRCode, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    QRCode1: TQRCode;
    procedure ComboBox1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation
uses QRCodeCommon;
{$R *.lfm}

{ TForm1 }

procedure TForm1.Edit1Change(Sender: TObject);
begin
  QRCode1.Text:=Edit1.Text;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  QRCode1.Encoding:=TQRCodeEncoding(ComboBox1.ItemIndex);
end;

end.

